<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */

/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * [[機能説明]]
 * ユーザー出品情報 - 確認
 *
 * @package     [[package名]]
 * @author      T.Shimano
 * @access      public
 */
class Admin_Usermanage_Itemexhibit_Confirm
{
	// ページ情報
	var $pagename;
	var $title;

	// 入力パラメータ
    var $cd;

    // DB
    var $itemexhibit;
    var $data;
    var $cnt;
    
    // エラー処理
    var $errormsg;
    
    function execute()
    {
    	// コード展開 & DBへの要求リスト作成
    	if( is_array($this->cd) )
    	{
    		$where = array();
    		
    		//cd = itemcd|structcd|stock.stockcd
            $cnt = 0;
    		foreach( $this->cd as $key=>$val)
    		{
 				$cnt++;
    			if( preg_match("/^([0-9]+)\|([0-9]+)\|([0-9]+)\|([0-9]+)$/", $val, $match) )
    			{
    				$itemcd   = $match[1];
    				$structcd = $match[2];
    				$stockcd  = $match[3];
    				$sellercd  = $match[4];
    				
    				$where[] = array(
    				    "itemcd = ".$itemcd,
    				    "structcd = ".$structcd,
    				    "stockcd =".$stockcd,
    				    "sellercd =".$sellercd
    				);
    				 
    				} else {
					$this->errormsg = "無効なコードが指定されました";
					return "input";
    				}
    		}
    	} else {
    		$this->errormsg = "コードが指定されていません";
    		return "input";
    	}
    	
    	// DBからリスト取得
    	$this->data = $this->itemexhibit->getItemexhibitList($cnt, 0, array(), $where, NULL, 'itemcd');
    	$this->cnt = array_pop($this->data);
    	
    	// ログ出力
        $log =& LogFactory::getLog();
        $log->debug("Admin_Usermanage_Itemexhibit_Confirmが実行されました", "Admin_Usermanage_Itemexhibit_Confirm#execute");
        return 'success';
    }
}
?>